echo off
echo "-=-=-=-=-=-=-=-=-=-=-=-="
echo "REMINDER"
echo "    Be sure you're using"
echo "    Java 6, NOT Java 7.."
echo "-=-=-=-=-=-=-=-=-=-=-=-="

set /p Project="Enter Project ID : " %=%

echo off
echo "Using Keystore for "
echo %Project%
echo "-=-=-=-=-"

"c:\Program Files (x86)\Java\jdk1.6.0_45\bin\keytool" -genkey -alias "%Project%.keystore" -keyalg RSA -validity 20000 -keystore c:\android-sdk-windows\myKeystore.keystore

echo "-=-=-=-=-"
echo "^ Created Keystore Certificate ^"
echo "-=-=-=-=-"

"c:\Program Files (x86)\Java\jdk1.6.0_45\bin\jarsigner" -verbose -keystore c:\android-sdk-windows\myKeystore.keystore -signedjar "%Project%-signed.apk" MonkeyGame-debug.apk "%Project%.keystore"

echo "-=-=-=-=-"
echo "^ Signed apk ^"
echo "-=-=-=-=-"

"C:\android-sdk-windows\sdk\build-tools\21.1.2\zipalign" -v 4 "%Project%-signed.apk" "%Project%-signed-zipped.apk"
echo "-=-=-=-=-"
echo "^ ZipAligned apk, whatever that means ^"
echo "-=-=-=-=-"

echo "CHECK"

"c:\Program Files (x86)\Java\jdk1.6.0_45\bin\jarsigner" -verify -verbose -certs "%Project%-signed-zipped.apk" >out.txt

rename MonkeyGame-debug.apk oldMonkeyGame-debug.apk

copy %Project%-signed-zipped.apk %Project%-signed-zipped_copy.apk

rename %Project%-signed-zipped_copy.apk MonkeyGame-debug.apk
echo "Fini..."